<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"

    android:background="@null"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/msg_avatar"
        android:visibility="gone"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:src="@drawable/aldrin"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/msg_body"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/msg_spacing_vertical"
        android:layout_marginStart="@dimen/msg_margin_horizontal"
        app:layout_constraintStart_toEndOf="@id/msg_avatar"
        app:layout_constraintTop_toTopOf="parent"

        style="@style/Widget.Theme.Mercury.TextView.Message"
        tools:text="@tools:sample/lorem" />

</androidx.constraintlayout.widget.ConstraintLayout>